## com.bbn.openmap.geo
Interface MatchFilter

All Known Implementing Classes:
  MatchFilter.ExactMF, MatchFilter.MatchParametersMF

public interface MatchFilter

Nested Class Summary
`static class` `MatchFilter.ExactMF`
`static class` `MatchFilter.MatchParametersMF`

Method Summary
`double` `getHRange()` the distance (in radians) to consider two objects to be interacting, that is, intersecting for our purposes.
`boolean` `preConsider(GeoExtent seg, GeoExtent region)` do inexpensive comparisons to determine if the two elements might intersect.

Method Detail

### preConsider

    public boolean preConsider(GeoExtent seg,
                               GeoExtent region)

  do inexpensive comparisons to determine if the two elements might intersect.

  Returns:
    true iff further checks might yield intersection.

### getHRange

    public double getHRange()

  the distance (in radians) to consider two objects to be interacting, that is, intersecting for our purposes.

  Returns:
    the maximum distance to consider touching. Must be non-negative.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details